javax.swing

## Class JComponent.AccessibleJComponent.AccessibleFocusHandler

- java.lang.Object
- - javax.swing.JComponent.AccessibleJComponent.AccessibleFocusHandler

All Implemented Interfaces:
  FocusListener, EventListener

Enclosing class:
  JComponent.AccessibleJComponent

    protected class JComponent.AccessibleJComponent.AccessibleFocusHandler
    extends Object
    implements FocusListener

Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3

### Constructor Summary

Constructors
`protected` `JComponent.AccessibleJComponent.AccessibleFocusHandler()`

### Method Summary

Methods
`void` `focusGained(FocusEvent event)` Invoked when a component gains the keyboard focus.
`void` `focusLost(FocusEvent event)` Invoked when a component loses the keyboard focus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JComponent.AccessibleJComponent.AccessibleFocusHandler

    protected JComponent.AccessibleJComponent.AccessibleFocusHandler()

### Method Detail

#### focusGained

    public void focusGained(FocusEvent event)

Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`

#### focusLost

    public void focusLost(FocusEvent event)

Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.